//
//  ViewController.m
//  textfieldKeyboardFit
//
//  Created by 丁宗凯 on 16/7/21.
//  Copyright © 2016年 dzk. All rights reserved.
//
//
#define MAINSCREEN_width   [UIScreen mainScreen].bounds.size.width
#define MAINSCREEN_height  [UIScreen mainScreen].bounds.size.height
#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
   
    [self AddObserverForKeyboard];
    
}

-(void)touchesBegan:(NSSet<UITouch *> *)touches withEvent:(UIEvent *)event
{
    [self.view endEditing:YES];
}
-(void)AddObserverForKeyboard
{
    //监听当键盘出现或改变时收出消息
    [[NSNotificationCenter defaultCenter] addObserver:self
                                             selector:@selector(keyboardWillShow:)
                                                 name:UIKeyboardWillShowNotification
                                               object:nil];
    
    //监听当键退出时收出消息
    [[NSNotificationCenter defaultCenter] addObserver:self
                                             selector:@selector(keyboardWillHide:)
                                                 name:UIKeyboardWillHideNotification
                                               object:nil];
}
- (void)keyboardWillShow:(NSNotification *)aNotification
{
    NSDictionary *userInfo = [aNotification userInfo];
    double duration = [[userInfo objectForKey:UIKeyboardAnimationDurationUserInfoKey] doubleValue];
    //获取键盘的高度
    CGRect keyboardRect = [[userInfo objectForKey:UIKeyboardFrameEndUserInfoKey] CGRectValue];
    CGFloat mark =(MAINSCREEN_height -CGRectGetMaxY(self.content_View.frame))-keyboardRect.size.height;
    if (mark<0) {
        [UIView animateWithDuration:duration animations:^{
            self.content_View.transform  =CGAffineTransformMakeTranslation(0, mark);
        }];
    }
}
//当键退出时调用
- (void)keyboardWillHide:(NSNotification *)aNotification
{
    NSDictionary *userInfo = [aNotification userInfo];
    double duration = [[userInfo objectForKey:UIKeyboardAnimationDurationUserInfoKey] doubleValue];
    [UIView animateWithDuration:duration animations:^{
        self.content_View.transform  =CGAffineTransformIdentity;
    }];
}
-(void)dealloc
{
    [[NSNotificationCenter defaultCenter] removeObserver:self];
}


@end
